unit UFormRule;

{$mode delphi}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  ComCtrls, ActnList, Menus, URules, UFormRuleItems;

type

  { TFormRule }

  TFormRule = class(TForm)
    ButtonOk: TButton;
    ButtonCancel: TButton;
    EditName: TEdit;
    Label1: TLabel;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    FormRuleItems: TFormRuleItems;
  public
    Rule: TRule;
    procedure LoadData(Rule: TRule);
    procedure SaveData(Rule: TRule);
  end;

var
  FormRule: TFormRule;


implementation

{$R *.lfm}

uses
  UFormRuleItem;

{ TFormRule }

procedure TFormRule.FormShow(Sender: TObject);
begin
  EditName.SetFocus;
end;

procedure TFormRule.FormCreate(Sender: TObject);
begin
  FormRuleItems := TFormRuleItems.Create(nil);
  FormRuleItems.ManualDock(TabSheet1);
  FormRuleItems.Align := alClient;
  FormRuleItems.Show;
end;

procedure TFormRule.LoadData(Rule: TRule);
begin
  Self.Rule := Rule;
  EditName.Text := Rule.Name;
  FormRuleItems.LoadData(Rule.Items);
end;

procedure TFormRule.SaveData(Rule: TRule);
begin
  Rule.Name := EditName.Text;
  FormRuleItems.SaveData(Rule.Items);
end;

end.

